Bug 20488 - Не показываются локализованные надписи в меню (панель инструментов, контекстное меню) диалога выбора файла openoffice.org-kde4
: Не показываются локализованные надписи в меню (панель инструментов, контекстн...
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/openoffice.org-kde4)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
: distro-blocker
:
: 19564
  Show dependency tree
 
Reported: 2009-06-18 12:48 by
Modified: 2014-12-27 14:14 (History)


Attachments
Скриншот с сообщением об ошибках (11.72 KB, image/png)
2009-11-25 22:35, Denis Kirienko
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-06-18 12:48:24
1. Файловый диалог не локализован (кроме заголовка окна)
2. Не показываются надписи в меню (панель инструментов, контекстное меню) и
чекбоксах
3. Не открывает файлы, в пути которых встречается кириллица. При показе ошибки
открытия кириллицу показывает, но обрезает путь
4. Не показывает список изображений по протоколу fish://
5. Не открывает изображения по протоколу fish://
6. При сохранении файла с кириллическим именем обрезает его и снова показывает
диалог.
------- Comment #1 From 2009-06-18 12:55:14 -------
Не получается сохранить файлы, ругается на отсутствие /home/$user/Documents
------- Comment #2 From 2009-06-18 12:57:52 -------
7. Не сохраняет ни один файл. При этом перекидывает или на /home, а в Places
выбирает "Корневая папка"
8. При вставке изображения он вообще не показывает их по фильтру "Все
изображения". Явно по *.png показывает.
------- Comment #3 From 2009-06-18 14:15:38 -------
(В ответ на комментарий №2)
> 7. Не сохраняет ни один файл. При этом перекидывает или на /home, а в Places
> выбирает "Корневая папка"
Точнее при каждом нажатии на Save снова рисует диалог сохранения, переходя при
этом на один уровень выше (при этом если введённое имя файла кириллическое, оно
сокращается на несколько символов при каждой итерации)
------- Comment #4 From 2009-06-23 10:59:09 -------
*** Bug 20507 has been marked as a duplicate of this bug. ***
------- Comment #5 From 2009-06-26 06:07:02 -------
9. При экспорте документа (например Draw) не дает выбрать формат экспорта. При
явном указании file.eps, ругается и ничего не сохраняет.
------- Comment #6 From 2009-06-26 21:14:29 -------
включите "Использовать диалоги OpenOffice.org"
------- Comment #7 From 2009-06-29 11:05:23 -------
(В ответ на комментарий №6)
> включите "Использовать диалоги OpenOffice.org"
Примечание: этот параметр можно найти в 
Сервис -> Параметры -> OpenOffice.org -> Общие -> Диалоги открытия и
сохранения.
------- Comment #8 From 2009-06-29 13:43:41 -------
Спасибо, помогло.
------- Comment #9 From 2009-06-29 14:50:30 -------
Ага. Найден ещё один костыль (вернее решение).
------- Comment #10 From 2009-07-05 19:07:39 -------
*** Bug 20686 has been marked as a duplicate of this bug. ***
------- Comment #11 From 2009-07-15 16:37:13 -------
*** Bug 20790 has been marked as a duplicate of this bug. ***
------- Comment #12 From 2009-07-16 13:52:43 -------
(В ответ на комментарий №6)
> включите "Использовать диалоги OpenOffice.org"

Как это можно сделать дистрибутивно?
------- Comment #13 From 2009-07-16 13:58:57 -------
пересборкой пакета
------- Comment #14 From 2009-07-18 00:01:41 -------
http://artax.karlin.mff.cuni.cz/~kendy/blog/archives/monthly/2009-06.html#2009-06-15T14_37_23.htm
смотрели?
------- Comment #15 From 2009-07-24 16:01:17 -------
openoffice.org-3.1.0.6-alt6 -> sisyphus:

* Fri Jul 24 2009 Valery Inozemtsev <shrek@altlinux> 3.1.0.6-alt6

- disabled KDE4 filepicker (closes: #20488)
- open-url replace to xdg-open (closes: #20718)
------- Comment #16 From 2009-07-29 01:12:33 -------
Эх, ну надо было просто собрать OpenOffice без поддержки открытия файлов, чтобы
больше с диалогами не было проблем.
------- Comment #17 From 2009-07-29 01:24:33 -------
(В ответ на комментарий №16)
> Эх, ну надо было просто собрать OpenOffice без поддержки открытия файлов, чтобы
> больше с диалогами не было проблем.

Апстрим сейчас работает над интеграцией с KDE4 для 3.1.1, который будет в
августе. Думаю, что если есть патчи, то лучше их слать туда, а не тратить
довольно заметные усилия на вытаскивание 3.1.
------- Comment #18 From 2009-11-25 18:02:03 -------
При возвращении диалога KDE4 наблюдается п.2:
2. Не показываются надписи в меню (панель инструментов, контекстное меню)
Чекбоксы в окне нормальные.
------- Comment #19 From 2009-11-25 22:35:14 -------
Created an attachment (id=4085) [details]
Скриншот с сообщением об ошибках
------- Comment #20 From 2009-11-25 22:37:01 -------
Комментарий к предыдущему изображению.

Сломан экспорт файлов. При попытке сделать экспорт любого документа через меню
"Файл-Экспорт" (не "Экспорт в PDF") возникает такая ошибка при сохранении
файла.

$ rpm -qa | grep openoffice
openoffice.org-3.1.1.4-alt3
openoffice.org-gnome-3.1.1.4-alt3
openoffice.org-kde4-3.1.1.4-alt3
openoffice.org-langpack-ru-3.1.1.4-alt3


Удаление пакета openoffice.org-kde4 решает проблему.
------- Comment #21 From 2009-11-27 18:24:41 -------
Зачем было валить все в кучу. Мало того, что теперь хрен разберешь, что
исправлено, а что нет, так народ начинает сюда валить то, что вообще никакого
отношения не имеет.

Предлагаю закрыть с WONTFIX и оставшиеся пункты развесить отдельно.
------- Comment #22 From 2009-11-27 21:36:18 -------
(В ответ на комментарий №21)
> Зачем было валить все в кучу. Мало того, что теперь хрен разберешь, что
> исправлено, а что нет, так народ начинает сюда валить то, что вообще никакого
> отношения не имеет.
Одна ошибка осталась. Поменял тему. Остальные ошибки лучше вынести в отдельные
баги.
------- Comment #23 From 2009-11-27 21:41:42 -------
Выделил https://bugzilla.altlinux.org/show_bug.cgi?id=22405
------- Comment #24 From 2009-11-30 14:23:56 -------
> Не показываются локализованные надписи в меню
> (панель инструментов, контекстное меню) диалога выбора файла
Не нашел такого в openoffice.org-3.1.1.4-alt3
Эта бага в более старом?
------- Comment #25 From 2009-11-30 15:50:00 -------
(В ответ на комментарий №24)
> > Не показываются локализованные надписи в меню
> > (панель инструментов, контекстное меню) диалога выбора файла
> Не нашел такого в openoffice.org-3.1.1.4-alt3
> Эта бага в более старом?
Правой кнопкой по белому полю с именами файлов нажми. Или гаечный ключ справа
вверху.
------- Comment #26 From 2009-11-30 16:13:26 -------
(В ответ на комментарий №25)
> Правой кнопкой по белому полю с именами файлов нажми. Или гаечный ключ справа
> вверху.
Всё переведено
------- Comment #27 From 2009-11-30 18:20:31 -------
(В ответ на комментарий №26)
> (В ответ на комментарий №25)
> > Правой кнопкой по белому полю с именами файлов нажми. Или гаечный ключ справа
> > вверху.
> Всё переведено
Действительно, теперь всё видно. 
openoffice.org-kde4-3.1.1.4-alt3
------- Comment #28 From 2011-05-14 14:55:01 -------
(В ответ на комментарий №27)
openoffice.org-kde4-3.2.1.5-alt0.M50P.1 - проблема снова появилась. 
http://forum.altlinux.org/index.php/topic,10685.msg140974.html#new

У себя в p5 подтверждаю.
------- Comment #29 From 2011-05-14 14:56:41 -------
Пардон, предыдущая ссылка нафорум не верна
------- Comment #30 From 2014-12-27 14:14:41 -------
Такого пакета в сизифе больше нет.